Historical
Get historical financial metrics and ratios for any US stock ticker. Includes P/E, EV/EBITDA, ROE, and 100+ metrics.
Overview
The financial metrics API provides metrics and ratios for a given stock ticker based on the latest and historical fundamentals data from financial statements. Financial metrics include a company’s valuation, profitability, efficiency, liquidity, leverage, growth, and per share metrics over the requested period. To get started, please create an account and grab your API key at financialdatasets.ai. You will use the API key to authenticate your API requests.Available Tickers
You can fetch a list of available tickers with aGET request to:
https://api.financialdatasets.ai/financial-metrics/tickers/
Getting Started
There are only 3 steps for making a successful API call:- Add your API key to the header of the request as
X-API-KEY. - Add query params like
tickerto filter the data. - Execute the API request.
Filtering the Data
You can filter the data byticker, period, limit, and report_period.
Note: ticker and period are required. By default, limit is 4 and report_period is null.
The period parameter can be set to annual, quarterly, or ttm (trailing twelve months). The limit parameter is used to specify the number of periods to return.
The report_period parameter is used to specify the date of the financial metrics. For example, you can include filters like report_period_lte=2024-09-30 and report_period_gte=2024-01-01 to get financial metrics between January 1, 2024 and September 30, 2024.
The available report_period operations are:
report_period_ltereport_period_ltreport_period_gtereport_period_gtreport_period
Example
Example (with report_period)
Authorizations
API key for authentication.
Query Parameters
The ticker symbol of the company. Required if cik is not provided.
The Central Index Key (CIK) of the company. Can be used instead of ticker.
The time period for the financial data.
annual, quarterly, ttm The maximum number of results to return.
Filter by exact report period date in YYYY-MM-DD format.
Filter by report period greater than or equal to date in YYYY-MM-DD format.
Filter by report period less than or equal to date in YYYY-MM-DD format.
Filter by report period greater than date in YYYY-MM-DD format.
Filter by report period less than date in YYYY-MM-DD format.
Response
The historical financial metrics and ratios for a ticker
The ticker symbol of the company.
The reporting period of the financial metrics.
The fiscal period of the financial metrics.
The time period of the financial metrics.
quarterly, ttm, annual The currency in which the financial data is reported.
The SEC accession number of the filing.
URL to the SEC filing.
The total value of the company (market cap + debt - cash).
Price to earnings ratio.
Price to book ratio.
Price to sales ratio.
Enterprise value to EBITDA ratio.
Enterprise value to revenue ratio.
Free cash flow yield.
Price to earnings growth ratio.
Gross profit as a percentage of revenue.
Operating income as a percentage of revenue.
Net income as a percentage of revenue.
Net income as a percentage of shareholders' equity.
Net income as a percentage of total assets.
Net operating profit after taxes as a percentage of invested capital.
Revenue divided by average total assets.
Cost of goods sold divided by average inventory.
Revenue divided by average accounts receivable.
Average accounts receivable divided by revenue over the period.
Inventory turnover + receivables turnover.
Revenue divided by average working capital.
Current assets divided by current liabilities.
Quick assets divided by current liabilities.
Cash and cash equivalents divided by current liabilities.
Operating cash flow divided by current liabilities.
Total debt divided by shareholders' equity.
Total debt divided by total assets.
EBIT divided by interest expense.
Year-over-year growth in revenue.
Year-over-year growth in earnings.
Year-over-year growth in book value.
Growth in earnings per share over the period.
Growth in free cash flow over the period.
Growth in operating income over the period.
Growth in EBITDA over the period.
Dividends paid as a percentage of net income.
Net income divided by weighted average shares outstanding.
Shareholders' equity divided by shares outstanding.
Free cash flow divided by shares outstanding.